## org.eclipse.emf.ecoretools.filters.diagramfilters
Class AbstractDiagramFilter

    java.lang.Object
      org.eclipse.emf.ecoretools.filters.diagramfilters.AbstractDiagramFilter

All Implemented Interfaces:
  IDiagramFilter

    public abstract class AbstractDiagramFilter

extends java.lang.Object
implements IDiagramFilter

TODO Describe the class here
creation : 4 oct. 07

Constructor Summary
`AbstractDiagramFilter()`

Method Summary
`java.util.List<java.lang.String>` `getCurrentFilteredTypeConfiguration()` Fetch the list containing all the filtered types
`java.util.Map<java.lang.String,java.lang.String>` `getFilteredTypeDescription()` Associates in a map filtered type and names
`java.util.Map<java.lang.String,java.lang.String>` `getFilteredTypeMap()`
`abstract java.util.Collection<org.eclipse.gmf.runtime.emf.type.core.IElementType>` `getIElementTypes()`
`abstract org.eclipse.jface.preference.IPreferenceStore` `getPreferenceStore()`
`protected void` `initializeMap()`
`protected java.util.List<java.lang.String>` `readFilteredTypes(org.eclipse.jface.preference.IPreferenceStore store)`
`void` `setCurrentFilteredTypeConfiguration(java.util.List<java.lang.String> filteredTypes)` Persist the list containing all the filtered types
`protected void` `writeFilteredTypes(java.util.List<java.lang.String> filteredTypes, org.eclipse.jface.preference.IPreferenceStore store)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDiagramFilter

    public AbstractDiagramFilter()

Method Detail

### getCurrentFilteredTypeConfiguration

    public java.util.List<java.lang.String> getCurrentFilteredTypeConfiguration()

  Description copied from interface: `IDiagramFilter`
  Fetch the list containing all the filtered types

  Specified by:
    `getCurrentFilteredTypeConfiguration` in interface `IDiagramFilter`
  Returns:
    list

### getFilteredTypeDescription

    public java.util.Map<java.lang.String,java.lang.String> getFilteredTypeDescription()

  Description copied from interface: `IDiagramFilter`
  Associates in a map filtered type and names

  Specified by:
    `getFilteredTypeDescription` in interface `IDiagramFilter`
  Returns:
    map

### getFilteredTypeMap

    public java.util.Map<java.lang.String,java.lang.String> getFilteredTypeMap()

  Returns:

### getIElementTypes

    public abstract java.util.Collection<org.eclipse.gmf.runtime.emf.type.core.IElementType> getIElementTypes()

### getPreferenceStore

    public abstract org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()

  Returns:

### initializeMap

    protected void initializeMap()

### readFilteredTypes

    protected java.util.List<java.lang.String> readFilteredTypes(org.eclipse.jface.preference.IPreferenceStore store)

  Parameters:
    `store` -
  Returns:

### setCurrentFilteredTypeConfiguration

    public void setCurrentFilteredTypeConfiguration(java.util.List<java.lang.String> filteredTypes)

  Description copied from interface: `IDiagramFilter`
  Persist the list containing all the filtered types

  Specified by:
    `setCurrentFilteredTypeConfiguration` in interface `IDiagramFilter`

### writeFilteredTypes

    protected void writeFilteredTypes(java.util.List<java.lang.String> filteredTypes,
                                      org.eclipse.jface.preference.IPreferenceStore store)

  Parameters:
    `filteredTypes` -
    `store` -

Copyright 2007 Anyware Technologies. All Rights Reserved.